
%define PACKAGE_NAME openvas-libnasl
%define PACKAGE_VERSION 1.0.0
%define release 1.fc8.openvas
%define _prefix /usr

Summary: Support library for Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-libnasl
Version: 1.0.1
Release: 2.art
Source0: %{name}-%{version}.tar.gz
# The first two patches will be obsolete with version 1.0.1 since this
# has been fixed upstream already.
Patch0:  %{name}-1.0.0-configure.diff
Patch1:  %{name}-1.0.0-configure.in.diff
Patch2:  %{name}-1.0.0-Makefile.diff
Patch3:  %{name}-1.0.0-nasl-Makefile.diff
License: GNU GPLv2 and GNU LGPLv2
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
AutoReqProv: no
AutoReq: 0

#Distribution: Fedora 8

BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

BuildRequires: openvas-libraries-devel 
BuildRequires: gpgme-devel bison

# ART (prime mock)
%if 0%{?el3}%{?el4}%{?fc4}
BuildRequires: libpcap libgcrypt-devel gnutls-devel
%else
BuildRequires: libpcap libgcrypt-devel gnutls-devel
%endif
BuildRequires: flex




%package devel
Summary: Development files for openvas-libnasl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
openvas-libnasl is the NASL interpreter library
for the OpenVAS network security scanner.

%description devel
This package contains the development files (mainly C header files)
for openvas-libnasl.

%prep
%setup -b 0
#%patch0
#%patch1
#%patch2
#%patch3

%build
%configure --prefix=%{_prefix}
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
# for release > 1.0.0 this file should be added: CHANGES
%doc doc/signatures-howto.txt doc/nasl_guide.tex
%{_mandir}/man1/openvas-nasl.1.gz
%{_libdir}/lib*
%{_bindir}/openvas-nasl

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/
%{_bindir}/openvas-libnasl-config
%{_mandir}/man1/openvas-libnasl-config.1.gz

%changelog
* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
  - extended BuildRequires with gpgme-devel and bison.
* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
